# Uses of Class
javax.crypto.Mac

Packages that use Mac
Package
Description
javax.crypto
Provides the classes and interfaces for cryptographic operations.

- ## Uses of Mac in javax.crypto

  Methods in javax.crypto that return Mac
  Modifier and Type
  Method
  Description
  `static final Mac`
  Mac.`getInstance(String algorithm)`
  Returns a `Mac` object that implements the specified MAC algorithm.
  `static final Mac`
  Mac.`getInstance(String algorithm, String provider)`
  Returns a `Mac` object that implements the specified MAC algorithm.
  `static final Mac`
  Mac.`getInstance(String algorithm, Provider provider)`
  Returns a `Mac` object that implements the specified MAC algorithm.